# Record Class CSEventCertificateStored

java.lang.Object
java.lang.Record
com.io7m.certusine.vanilla.internal.events.CSEventCertificateStored

Record Components:
  `domain` - The domain
  `certificateName` - The certificate name
  `target` - The output to which the certificate was stored

All Implemented Interfaces:
  `CSEventType`

public record CSEventCertificateStored(CSDomain domain, CSCertificateName certificateName, String target) extends Record implements CSEventType
A certificate was stored. This can happen many times throughout the lifetime of the application, and certificates are typically stored redundantly; a certificate being stored does not necessarily imply that it's a new certificate.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CSEventCertificateStored(CSDomain domain, CSCertificateName certificateName, String target)`
  A certificate was stored.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,String>`
  `attributes()`
  `CSCertificateName`
  `certificateName()`
  Returns the value of the `certificateName` record component.
  `CSDomain`
  `domain()`
  Returns the value of the `domain` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `boolean`
  `isFailure()`
  `String`
  `message()`
  `String`
  `target()`
  Returns the value of the `target` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.certusine.vanilla.internal.events.CSEventType

  `isLogged`

- ## Constructor Details

  - ### CSEventCertificateStored

    public CSEventCertificateStored(CSDomain domain, CSCertificateName certificateName, String target)
    A certificate was stored. This can happen many times throughout the lifetime of the application, and certificates are typically stored redundantly; a certificate being stored does not necessarily imply that it's a new certificate.
    Parameters:
      `domain` - The domain
      `certificateName` - The certificate name
      `target` - The output to which the certificate was stored

- ## Method Details

  - ### message

    public String message()
    Specified by:
      `message` in interface `CSEventType`
    Returns:
      The event message

  - ### isFailure

    public boolean isFailure()
    Specified by:
      `isFailure` in interface `CSEventType`
    Returns:
      `true` if the event indicates that an operation failed

  - ### attributes

    public Map<String,String> attributes()
    Specified by:
      `attributes` in interface `CSEventType`
    Returns:
      The event attributes for logging purposes

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### domain

    public CSDomain domain()
    Returns the value of the `domain` record component.
    Returns:
      the value of the `domain` record component

  - ### certificateName

    public CSCertificateName certificateName()
    Returns the value of the `certificateName` record component.
    Returns:
      the value of the `certificateName` record component

  - ### target

    public String target()
    Returns the value of the `target` record component.
    Returns:
      the value of the `target` record component